Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class AttrValException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.ValidationException
oracle.jbo.AttrValException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

Direct Known Subclasses:
  AttrSetValException, DataCreationException, ReadOnlyAttrException, UpdateAttrPrivilegeException

public class AttrValException
extends ValidationException

Indicates a attribute validation error. This class may be extended to provide localizable exceptions to arbitrary bundle classes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `mAttrValue`

Fields inherited from class oracle.jbo.ValidationException
`mRowDefFullName`

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`protected` | `AttrValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.Object[] params)` Creates a localizable exception for an object.
`` | `AttrValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String defName, java.lang.String attrName, java.lang.Object value, com.sun.java.util.collections.ArrayList exceptions)` Creates a localizable exception for an object.
`` | `AttrValException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String defName, java.lang.String attrName, java.lang.Object value, com.sun.java.util.collections.ArrayList exceptions, boolean hasPeer)` Creates a localizable exception for an object.
`` | `AttrValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objFullName, java.lang.String attrName)` Creates a localizable exception for an object.
`` | `AttrValException(int objType, java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objFullName, java.lang.String attrName, java.lang.Object value, java.lang.Exception[] peerExceptions, boolean peer)` Creates a localizable exception for an object.
`` | `AttrValException(int objType, java.lang.String msg, java.lang.String errorCode, java.lang.String objFullName, java.lang.String attrName)` Creates a non-localizable exception for an object.

Method Summary
`void` | `doEntityToVOMapping(ApplicationModule rootAm, ViewObject[] vos)`
`ValidationException` | `getAttributeException(java.lang.String rowDefName, java.lang.String voAttrName)`
`java.lang.String` | `getAttrName()`
`java.lang.Object` | `getAttrValue()`
`java.lang.String` | `getBaseAttrName()`
`Key` | `getEntityKey()` Returns the key for the entity that raised this exception This key remains unchanged when doEntityToVOMapping is called.
`java.lang.String` | `getObjName()`
`int` | `getObjType()`
`java.lang.String` | `getObjTypeName()`
`Key` | `getRowKey()` Returns the key for the row that raised this exception This key will be an entity key until doEntityToVOMapping is called on this object, when it returns a mapped VO row key.
`protected void` | `init(int objType, java.lang.String objFullName, java.lang.String attrName)`
`protected void` | `setMappedParameters(ViewObject vo, java.lang.String[] attrNames)`
`void` | `setObjInfo(int objType, java.lang.String fullName)` Used internally in the framework
`void` | `setRowDefFullName(java.lang.String objFullName)`
`void` | `setRowKey(int objType, Key key)` Advanced :For Internal use only.

Methods inherited from class oracle.jbo.ValidationException
`getRowDefFullName, hasAttributeException, raise, raise, raise`

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mAttrValue

    protected java.lang.Object mAttrValue

Constructor Detail

### AttrValException

    public AttrValException(java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String defName,
                            java.lang.String attrName,
                            java.lang.Object value,
                            com.sun.java.util.collections.ArrayList exceptions,
                            boolean hasPeer)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `resBundleClass` - a resource bundle.
  `errorCode` - an error or message code.
  `defName` - the name of the object, the second message parameter.
  `attrName` - the name of the attribute, the third message parameter.

### AttrValException

    public AttrValException(java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String defName,
                            java.lang.String attrName,
                            java.lang.Object value,
                            com.sun.java.util.collections.ArrayList exceptions)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `resBundleClass` - a resource bundle.
  `errorCode` - an error or message code.
  `defName` - the name of the object, the second message parameter.
  `attrName` - the name of the attribute, the third message parameter.

### AttrValException

    public AttrValException(int objType,
                            java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String objFullName,
                            java.lang.String attrName)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `objType` - the type of the object, the first message parameter.
  `resBundleClass` - a resource bundle.
  `errorCode` - an error or message code.
  `objFullName` - the name of the object, the second message parameter.
  `attrName` - the name of the attribute, the third message parameter.

### AttrValException

    public AttrValException(int objType,
                            java.lang.Class resBundleClass,
                            java.lang.String errorCode,
                            java.lang.String objFullName,
                            java.lang.String attrName,
                            java.lang.Object value,
                            java.lang.Exception[] peerExceptions,
                            boolean peer)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `objType` - the type of the object, the first message parameter.
  `resBundleClass` - a resource bundle.
  `errorCode` - an error or message code.
  `objFullName` - the name of the object, the second message parameter.
  `attrName` - the name of the attribute, the third message parameter.
  `peerExceptions` - Exceptions to store with this exception's details
  `peer` - Mark this exception as containing peer Exceptions.

### AttrValException

    public AttrValException(int objType,
                            java.lang.String msg,
                            java.lang.String errorCode,
                            java.lang.String objFullName,
                            java.lang.String attrName)

  Creates a non-localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `objType` - the type of the object, the first message parameter.
  `msg` - non-localizable text.
  `errorCode` - an error or message code.
  `objFullName` - the name of the object, the second message parameter.
  `attrName` - the name of the attribute, the third message parameter.

### AttrValException

    protected AttrValException(java.lang.Class resBundleClass,
                               java.lang.String errorCode,
                               java.lang.Object[] params)

  Creates a localizable exception for an object. Message parameters can also be accessed through 'get' methods.
Parameters:
  `resBundleClass` - the resource bundle class that contains the message.
  `errorCode` - an error code.
  `params` - the error message's parameters.

Method Detail

### init

    protected void init(int objType,
                        java.lang.String objFullName,
                        java.lang.String attrName)

### setObjInfo

    public void setObjInfo(int objType,
                           java.lang.String fullName)

  Used internally in the framework

### getObjType

    public int getObjType()

### getObjTypeName

    public java.lang.String getObjTypeName()

### getObjName

    public java.lang.String getObjName()

### getAttrValue

    public java.lang.Object getAttrValue()

### setRowDefFullName

    public void setRowDefFullName(java.lang.String objFullName)

  Overrides:
    `setRowDefFullName` in class `ValidationException`

### getAttrName

    public java.lang.String getAttrName()

### getAttributeException

    public ValidationException getAttributeException(java.lang.String rowDefName,
                                                     java.lang.String voAttrName)

  Overrides:
    `getAttributeException` in class `ValidationException`
  Parameters:
    `rowDefName` - Entity Definition name. If null only attribute name is matched.
    `voAttrName` - return if this exception or one of it's details has mapping attribute name.

### doEntityToVOMapping

    public void doEntityToVOMapping(ApplicationModule rootAm,
                                    ViewObject[] vos)

  Overrides:
    `doEntityToVOMapping` in class `JboException`

### setMappedParameters

    protected void setMappedParameters(ViewObject vo,
                                       java.lang.String[] attrNames)

### getBaseAttrName

    public java.lang.String getBaseAttrName()

### getRowKey

    public Key getRowKey()

  Returns the key for the row that raised this exception This key will be an entity key until doEntityToVOMapping is called on this object, when it returns a mapped VO row key.

### getEntityKey

    public Key getEntityKey()

  Returns the key for the entity that raised this exception This key remains unchanged when doEntityToVOMapping is called.

### setRowKey

    public void setRowKey(int objType,
                          Key key)

  Advanced :For Internal use only. Set the key for the object that raised this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.